> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 排序（最新）

```txt wrap theme={null}
https://www.google.com/reviews?fid=0x89c25855c0679529:0x2a34371cb33f3c80&sort=newestFirst
```

## 参数

<ParamField query="fid" type="string" required>
  您想获取评论的功能ID。`fid` 参数可在Google搜索响应的 `knowledge.fid` 字段中找到。
</ParamField>

<ParamField query="hl" type="string">
  评论的排序方式。

  | value               | description |
  | ------------------- | ----------- |
  | `sort=qualityScore` | 最相关优先（`默认`） |
  | `sort=newestFirst`  | 最新优先        |
  | `sort=ratingHigh`   | 最高评分优先      |
  | `sort=ratingLow`    | 最低评分优先      |

  ```txt wrap theme={null}
  https://www.google.com/reviews?fid=0x89c25855c0679529:0x2a34371cb33f3c80&sort=newestFirst
  ```
</ParamField>

<RequestExample>
  ```shell cURL highlight={6} theme={null}
    curl -X POST https://api.brightdata.com/request \
    --header "Content-Type: application/json" \
    --header "Authorization: Bearer API_KEY" \
    --data '{
      "zone": "serp_api1",
      "url": "https://www.google.com/reviews?fid=0x89c25855c0679529:0x2a34371cb33f3c80&sort=newestFirst",
      "format": "raw"
    }'
  ```

  ```shell Native proxy highlight={4} theme={null}
  curl --proxy brd.superproxy.io:44445 \
    --proxy-user CUSTOMER_USERNAME:CUSTOMER_PASSWORD \
    --ssl-no-revoke \
    "https://www.google.com/reviews?fid=0x89c25855c0679529:0x2a34371cb33f3c80&sort=newestFirst"
  ```

  ```js Node.js highlight={10} theme={null}
  (async () => {
    const response = await fetch('https://api.brightdata.com/request', {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
        'Authorization': 'Bearer API_KEY'
      },
      body: JSON.stringify({
        zone: 'serp_api1',
        url: 'https://www.google.com/reviews?fid=0x89c25855c0679529:0x2a34371cb33f3c80&sort=newestFirst',
        format: 'raw'
      })
    });
    
    const data = await response.text();
    console.log(data);
  })();
  ```

  ```python Python highlight={11} theme={null}
  import requests

  # API Configuration
  headers = {
      'Content-Type': 'application/json',
      'Authorization': 'Bearer API_KEY',
  }

  payload = {
      'zone': 'serp_api1',
      'url': 'https://www.google.com/reviews?fid=0x89c25855c0679529:0x2a34371cb33f3c80&sort=newestFirst',
      'format': 'raw'
  }

  # Make the request
  response = requests.post(
      'https://api.brightdata.com/request', 
      json=payload, 
      headers=headers
  )

  print(response.text)
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "reviews": [
      {
        "review_id": "ChZDSUhNMG9nS0VMbUVrYktvcXRqRlBREAE",
        "reviewer": {
          "profile_photo_url": "https://lh3.googleusercontent.com/local-reviews/AJMZ0QeYuXGoFc9HnT35lAJ46cKDIsHY7nNIKUKz_f8yINNlqyrU48jCx-4ctPzihRKgde030w=s120-c-br100",
          "display_name": "Curiosity572892",
          "link": "https://www.tripadvisor.com/ShowUserReviews-g60763-d611947-r1046632270?m=68573&staydates=2026_03_08_2026_03_09&uguests=1_2_0&supdv=desktop&supuc=EG&supul=en"
        },
        "link": "https://www.tripadvisor.com/ShowUserReviews-g60763-d611947-r1046632270?m=68573&staydates=2026_03_08_2026_03_09&uguests=1_2_0&supdv=desktop&supuc=EG&supul=en",
        "source": "Tripadvisor",
        "source_logo": "https://www.gstatic.com/travel-hotels/branding/icon_100532569.png",
        "rating": "3/5",
        "created": "一个月前",
        "comment": "酒店已经相当陈旧。整体工作人员表现平平，但我必须特别表扬前台的耶稣。他在找可用房间方面帮助很大。在我们等待很长时间后，他真的很在乎为我和我的家人找到房间。他态度欢快，甚至在处理我们问题时与我的孩子互动也很好。他太棒了！谢谢耶稣！"
      },
      {
        "review_id": "ChdDSUhNMG9nS0VLLUVvZFgtdXFEeXVnRRAB",
        "reviewer": {
          "profile_photo_url": "https://lh3.googleusercontent.com/local-reviews/AJMZ0QchZeuqqdsc2mxTzAL46o1Zp-eQpx0fXItgIlFx_-eADsDQzpyjY9GuirM6XH9EgCdepg=s120-c-br100",
          "display_name": "dennisdel",
          "link": "https://www.tripadvisor.com/ShowUserReviews-g60763-d611947-r1046213388?m=68573&staydates=2026_03_08_2026_03_09&uguests=1_2_0&supdv=desktop&supuc=EG&supul=en"
        },
        "link": "https://www.tripadvisor.com/ShowUserReviews-g60763-d611947-r1046213388?m=68573&staydates=2026_03_08_2026_03_09&uguests=1_2_0&supdv=desktop&supuc=EG&supul=en",
        "source": "Tripadvisor",
        "source_logo": "https://www.gstatic.com/travel-hotels/branding/icon_100532569.png",
        "rating": "5/5",
        "created": "一个月前",
        "comment": "梅是前台最友好、最乐于助人的人，我见过在希尔顿酒店工作的人中最好的！"
      },
      {
        "review_id": "ChZDSUhNMG9nS0VPYS16UFdEX0liYmZ3EAE",
        "reviewer": {
          "profile_photo_url": "https://lh3.googleusercontent.com/local-reviews/AJMZ0QdHDxxyBDO6igPA51sqxYAI1TTeuGvapT1sWSCJfPSgzOZltNlMhWmUDpj2A3v7zAw89g=s120-c-br100",
          "display_name": "GlobalCitizen426",
          "link": "https://www.tripadvisor.com/ShowUserReviews-g60763-d611947-r1046073220?m=68573&staydates=2026_03_08_2026_03_09&uguests=1_2_0&supdv=desktop&supuc=EG&supul=en"
        },
        "link": "https://www.tripadvisor.com/ShowUserReviews-g60763-d611947-r1046073220?m=68573&staydates=2026_03_08_2026_03_09&uguests=1_2_0&supdv=desktop&supuc=EG&supul=en",
        "source": "Tripadvisor",
        "source_logo": "https://www.gstatic.com/travel-hotels/branding/icon_100532569.png",
        "rating": "2/5",
        "created": "一个月前",
        "comment": "我们每年都会到这个城市访问一次，已经25年了，参加一个会议。在过去5年中，在我们都从新冠疫情后回到生活后，这处物业就变得更糟了。||我们经常出差，虽然该国其他物业似乎都在改进，但这处物业就是在恶化。||嘿，希尔顿——是时候进行翻新了，你应该着手进行！|你有财务实力，所以你不应该再拖延一年了。||管家和客户服务工作人员是5星级的！||今年我们无法控制房间温度控制——要运行空调，因为当我们到达时，酒店的某些部分热得要命，因为外面的温度并不那么冷。我听到其他人抱怨同样的问题。|房间温度控制整个时间都保持在72-73度——打开窗户一条缝，我很欣赏这家酒店的这个功能。|72或73度可能对某些人在家里工作，但在高层酒店不行。||电梯系统是新的，完全低效——我们大部分时间都在乘坐服务电梯。||如果你在读这个希尔顿，2737房间需要一扇新的浴室门——显然浴室有漏水问题，木质复合材料在门底部翘起并露了出来。墙纸脱落，浴缸和洗手盆都非常陈旧破旧，淋浴和洗手盆上有黑霉。"
      },
      {
        "review_id": "ChdDSUhNMG9nS0VKNndnb3FIa3N5d3J3RRAB",
        "reviewer": {
          "profile_photo_url": "https://lh3.googleusercontent.com/local-reviews/AJMZ0QdCjMUwIiBikRhCLHgN_0vyGAo1GvT8DEukiKQb1ujC_eFsFjYrQ0OvLoSxPtqmCdgvFA=s120-c-br100",
          "display_name": "KimmyStephenson",
          "link": "https://www.tripadvisor.com/ShowUserReviews-g60763-d611947-r1045867123?m=68573&staydates=2026_03_08_2026_03_09&uguests=1_2_0&supdv=desktop&supuc=EG&supul=en"
        },
        "link": "https://www.tripadvisor.com/ShowUserReviews-g60763-d611947-r1045867123?m=68573&staydates=2026_03_08_2026_03_09&uguests=1_2_0&supdv=desktop&supuc=EG&supul=en",
        "source": "Tripadvisor",
        "source_logo": "https://www.gstatic.com/travel-hotels/branding/icon_100532569.png",
        "rating": "3/5",
        "created": "一个月前",
        "comment": "度假酒店业主接待处没有帮助，办理入住后2小时房间还没准备好，繁忙时段电梯等待时间长达35分钟"
      },
      {
        "review_id": "ChZDSUhNMG9nS0VKUHY3SWZTeWUtQll3EAE",
        "reviewer": {
          "profile_photo_url": "https://lh3.googleusercontent.com/local-reviews/AJMZ0Qczn4VDfUM6-AtEt-6oaNazFa-i9Fy6kqPVfGIlPil6vJulEYyK8t930jZwOW4hD80mzw=s120-c-br100",
          "display_name": "Drinehart",
          "link": "https://www.tripadvisor.com/ShowUserReviews-g60763-d611947-r1045764208?m=68573&staydates=2026_03_08_2026_03_09&uguests=1_2_0&supdv=desktop&supuc=EG&supul=en"
        },
        "link": "https://www.tripadvisor.com/ShowUserReviews-g60763-d611947-r1045764208?m=68573&staydates=2026_03_08_2026_03_09&uguests=1_2_0&supdv=desktop&supuc=EG&supul=en",
        "source": "Tripadvisor",
        "source_logo": "https://www.gstatic.com/travel-hotels/branding/icon_100532569.png",
        "rating": "5/5",
        "created": "一个月前",
        "comment": "办理入住很顺利，工作人员很友好。他们非常体贴，房间干净，位置完美。我们度过了美好的旅行。"
      },
      {
        "review_id": "ChdDSUhNMG9nS0VPTEVnZi1EbnI2VW5RRRAB",
        "reviewer": {
          "profile_photo_url": "https://lh3.googleusercontent.com/local-reviews/AJMZ0Qc_hSEOVyYt90T8jEI1lbdGPaVqSrwdtGLOma43xF2tT-AGCQEDWJCQ3qq81gsm_HjiWg=s120-c-br100",
          "display_name": "Y2952BWaprilg",
          "link": "https://www.tripadvisor.com/ShowUserReviews-g60763-d611947-r1045763042?m=68573&staydates=2026_03_08_2026_03_09&uguests=1_2_0&supdv=desktop&supuc=EG&supul=en"
        },
        "link": "https://www.tripadvisor.com/ShowUserReviews-g60763-d611947-r1045763042?m=68573&staydates=2026_03_08_2026_03_09&uguests=1_2_0&supdv=desktop&supuc=EG&supul=en",
        "source": "Tripadvisor",
        "source

  ```
</ResponseExample>
